 
/** とは？ **/
.generator-about {
    background-color: #CDF5F5;
    padding: 50px 0;
}
.generator-about .generator-about__inner{
    background-color: #fff;
    border-radius: 20px;
    width: 80%;
    margin: 0 auto;
    /*max-width: 1200px;*/
    /*max-width: 1260px;*/
    max-width: 860px;
    /*max-width: 570px;*/
    /*padding: 30px;*/
    padding: 30px 30px 70px;
}
.generator-about .generator-about__banner img{
    width: 100%;
    height: auto;
    vertical-align: top;    
}
.generator-about .generator-about__title{
    border: 3px solid #53B6B1;
    width: fit-content;
    padding: 10px 20px;
}
.generator-about .generator-about__title p{
    font-weight: bold;
    font-size: 20px;
    color: #53B6B1;
}
.generator-about .generator-about__title p span {
    color: #000;
}
.generator-about .generator-about__txt{
    line-height: 1.3;
    margin-top: 20px;
    font-weight: 700;
}
.generator-about .generator-about__txt p:not(:first-child){
    margin-top: 20px;
}
.generator-about .generator-about__txt p span{
    color: #53B6B1;
    font-size: 18px;
    font-weight: bold;
}
.generator-about .generator-link{
    width: fit-content;
    margin: 30px auto 0;
}
.generator-about .generator-link p{
/*    color: #fff;
    font-weight: bold;
    background-color: #53B6B1;
    padding: 10px 40px;
    border-radius: 10px;*/
    color: #fff;
    font-weight: bold;
    background-color: #00A4AE;
    padding: 25px 115px;
    border-radius: 10px;
    font-size: 30px;
    
}



/** リスト **/
.generator-list{
    margin: 30px auto 50px; 
}
.generator-list.generator-list--none{
    margin: 0;
}
.pagination-container{
padding-top: 80px;
}
.generator__list {
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
        width: fit-content;
        margin: 0 auto;
}

.generator__item{
    cursor: pointer;
}

.generator__item .genrator__item-image{
    width: 170px;
}
.generator__item img {
    width: 100%;
    height: auto;
    vertical-align: top;                                  
}
/** いいね **/
.generator__likes{
    display: flex;
    gap: 10px;
    margin-top: 20px;
}
.generator__likes > p{
    line-height: 25px;
}
.p-likes-image,
.generator__likes-image{
    width: 30px;
}
.p-likes-image img,
.generator__likes-image img{
    width: 100%;
    height: auto;
    vertical-align: top;
}
/** ポップアップ **/
.mask{
    display: none;
    position: fixed;
    background: rgba(255, 255, 255, .7);
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: 100;
}
.mask.active{
    display: block;
}
.popup__wrapper{

    display: none;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    width: fit-content;
    height: fit-content;
    background: #fff;
    box-shadow: 0px 0px 15px -5px #777777;
    /*overflow: hidden;*/
    border-radius: 10px;
    z-index: 100;
    padding: 30px;
}
.popup__wrapper.active{
    display: block;
    position: fixed;
}
.popup {
    max-height: 70vh;
    overflow: auto;
}

.p-btn-block,
.p-image{
    width: 500px;
    /*margin: 20px auto;*/
}
.p-image img{
    width: 100%;
    height: auto;
    vertical-align: top;
}
.p-likes{
    display: flex;
    gap: 10px;
    margin-top: 20px;
}
.p-likes > p{
    line-height: 25px;
}
.p-dl-btn{
    margin-top: 20px;
}
.p-dl-btn p{
    color: #fff;
    padding: 10px 20px;
    background-color: #000;
    border-radius: 10px;    
    text-align: center;                
}


.close{
    position: absolute;
    top: -16px;
    right: -13px;
    padding: 5px;
    cursor: pointer;
    background: #000;
    z-index: 1000;
    border-radius: 50%;
}
            
.batsu {
    display: block;
    position: relative;
    width: 30px;
    height: 30px;
}
.batsu::before, .batsu::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 2px;
    height: 20px;
    background: #fff;
}
.batsu::before {
    transform: translate(-50%, -50%) rotate(45deg);
}
.batsu::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}


.pagination-container ul{
    gap: 10px;
}
.pagination-container a{
        color: #00A4AE;
    border: 2px solid #00A4AE;
    border-radius: 10px;
}
.pagination-container .navi-active a, .pagination-container .navi-active a:hover{
    background-color: #00A4AE;
}
.pagination-container a:hover{
    background-color: rgba(0, 164, 174, .6);
    
}

@media screen and (max-width: 768px){
    .generator-about .generator-about__inner{
        width: 90%;
        padding: 20px;
    }
    .generator-about .generator-about__title p{
        font-size: 18px;
    }
    .generator-about .generator-about__title p{
        line-height: 1.5;
    }
    
    .generator-about .generator-link{
        margin-top: 0px;
    }
    .generator-about .generator-link p{
        padding: 10px 20px;
        font-size: 16px;
    }
    
    
    .generator__list{
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    .popup__wrapper{
        max-width: 80%;
    }
    .p-btn-block, .p-image{
        width: 100%;
    }
}